package com.tanpu.community.config;

import com.tanpu.community.cache.RedisCache;
import com.tanpu.community.util.SpringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.CacheManager;
import org.springframework.cache.caffeine.CaffeineCacheManager;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;
import java.util.Arrays;

@Configuration
public class CacheConfig {

    @Autowired
    private SpringUtils springUtils;

    @Bean
    public RedisCache redisCache() {
        return new RedisCache.Builder().cacheName("redis").build();
    }

    @Bean
    public CacheManager cacheManager() {
        CaffeineCacheManager cacheManager = new CaffeineCacheManager();
        cacheManager.setCacheNames(Arrays.asList("local"));
        cacheManager.setCacheSpecification("maximumSize=10,expireAfterWrite=10s");
        return cacheManager;
    }
}
